body {
	margin: 0;
	padding: 0;
	background-color: white;
}
header {
	z-index: 100;
	width: 100%;
	height: 32px;
	padding: 16px;
	background-color: #d32f2f;
	box-shadow: 0 2px 5px rgba(0,0,0,0.26);
	color: white;
	float: left;
	font-size: 18px;
	vertical-align: center;
	line-height: 64px;
	font-weight: 400;
	-webkit-font-smoothing: antialiased;
	font-family: "RobotoDraft","Roboto",sans-serif;
	text-rendering: optimizeLegibility;
	position: fixed;
	display: block;
}
#body {
	font-family: "RobotoDraft","Roboto",sans-serif;
	-webkit-font-smoothing: antialiased;
	font-size: 20px;
	text-rendering: optimizeLegibility;
	padding-top: 100px;
	padding-left: 70px;
	color: #212121;
	transition-duration: 0.3s;
}

#body.DarkMode, body.DarkMode {
	color: #fafafa;
	background-color: #212121;
	transition-duration: 0.3s;
}
.chapT {
	color: #546e7a;
	font-size: 34px;
	font-weight: 400px;
	line-height: 40px;
	box-sizing: border-box;
	-webkit-margin-before: 0.83em;
	margin-bottom: 0px;
	transition-duration: 0.3s;
}

.chapTDarkMode {
	color: #90a4ae;
	font-size: 34px;
	font-weight: 400px;
	line-height: 40px;
	box-sizing: border-box;
	-webkit-margin-before: 0.83em;
	margin-bottom: 0px;
	transition-duration: 0.3s;
}

#tableImage {
	mix-blend-mode: multiply;
	transition-duration: 0.3s;
}

#game2 {
	cursor: pointer;
	background-color: white;
	box-shadow: 0px 0px;
}

#game2.DarkMode {
	background-color: #212121;
}

#version {
	font-style: italic;
	font-size: 12px;
	color: #757575;
	transition-duration: 0.3s;
}

#version.DarkMode {
	color: #9e9e9e;
}

a {
	text-decoration: none;
	color: white;
	cursor: pointer;
}
a.normalA {
	color: #FFF;
	cursor: pointer;
	transition-duration: 0.2s;
}
a.normalA:visited {
	color: #FFF;
}

table {
	border-width: 0px;
	border-spacing: 2px;
}
th, td {
	padding: 8px;
	text-align: center;
	border-spacing: 0px;
	border-width: 0px;
	border-radius: 2px;
	background-color: #d32f2f;
	transition-duration: 0.3s;
	color: white;
}
.null {
	opacity: 0;
	visibility: hidden;
}
tr {
	border-spacing: 0px;
}
td.tableInfo {
	padding: 0px;
	font-size: 18px;
	text-align: justify;
	border-spacing: 0px;
	border-width: 0px;
	border-radius: 0px;
	background-color: white;
	transition-duration: 0.3s;
	color: #212121;
}

td.tableInfoDarkMode {
	padding: 0px;
	font-size: 18px;
	text-align: justify;
	border-spacing: 0px;
	border-width: 0px;
	border-radius: 0px;
	background-color: #212121;
	transition-duration: 0.3s;
	color: #fafafa;
}

.visibleCell {
	opacity: 100;
	background-color: #2e7d32;
	cursor: default;
}
.wrongCell {
	opacity: 100;
	cursor: default;
}
.hiddenCell {
	opacity: 80;
	background-color: darkgray;
	color: darkgray;
	cursor: pointer;
}
.hiddenCell:hover {
	background-color: gray;
	color: gray;
}
.selectedCell {
	opacity: 80;
	background-color: orange;
	color: orange;
	cursor: pointer;
}

button {
	position: relative;
  display: inline-block;
  box-sizing: border-box;
  border: none;
  border-radius: 4px;
  padding: 0 16px;
  min-width: 64px;
  height: 36px;
  vertical-align: middle;
  text-align: center;
  text-overflow: ellipsis;
  text-transform: uppercase;
  color: rgb(var(--pure-material-onprimary-rgb, 255, 255, 255));
  background-color: d32f2f;
  box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  font-family: var(--pure-material-font, "Roboto", "Segoe UI", BlinkMacSystemFont, system-ui, -apple-system);
  font-size: 14px;
  font-weight: 500;
  line-height: 36px;
  overflow: hidden;
  outline: none;
  cursor: pointer;
  transition: box-shadow 0.2s;
}
button::-moz-focus-inner {
	border: none;
}
button::before {
	content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgb(var(--pure-material-onprimary-rgb, 255, 255, 255));
    opacity: 0;
    transition: opacity 0.2s;
}
button::after {
	content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  border-radius: 50%;
  padding: 50%;
  width: 32px; /* Safari */
  height: 32px; /* Safari */
  background-color: rgb(var(--pure-material-onprimary-rgb, 255, 255, 255));
  opacity: 0;
  transform: translate(-50%, -50%) scale(1);
  transition: opacity 1s, transform 0.5s;
}
button:hover::before {
	opacity: 0.08;
}
button:focus::before {
	opacity: 0.24;
}
button:hover:focus::before {
    opacity: 0.3;
}
button:active {
    box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2), 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12);
}
button:active::after {
    opacity: 0.32;
    transform: translate(-50%, -50%) scale(0);
    transition: transform 0s;
}

.switch-input {
  display: none;
}
.switch-label {
  position: relative;
  display: inline-block;
  min-width: 112px;
  cursor: pointer;
  font-weight: 400;
  text-align: left;
  margin: 16px;
  padding: 0px 0 0px 44px;
}
.switch-label:before, .switch-label:after {
  content: "";
  position: absolute;
  margin: 0;
  outline: 0;
  top: 50%;
  -ms-transform: translate(0, -50%);
  -webkit-transform: translate(0, -50%);
  transform: translate(0, -50%);
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.switch-label:before {
  left: 1px;
  width: 34px;
  height: 14px;
  background-color: #9E9E9E;
  border-radius: 8px;
}
.switch-label:after {
  left: 0;
  width: 20px;
  height: 20px;
  background-color: #FAFAFA;
  border-radius: 50%;
  box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.14), 0 2px 2px 0 rgba(0, 0, 0, 0.098), 0 1px 5px 0 rgba(0, 0, 0, 0.084);
}
.switch-label .toggle--on {
  display: none;
}
.switch-label .toggle--off {
  display: inline-block;
}
.switch-input:checked + .switch-label:before {
  background-color: #ef9a9a;
}
.switch-input:checked + .switch-label:after {
  background-color: #d32f2f;
  -ms-transform: translate(80%, -50%);
  -webkit-transform: translate(80%, -50%);
  transform: translate(80%, -50%);
}
.switch-input:checked + .switch-label .toggle--on {
  display: inline-block;
}
.switch-input:checked + .switch-label .toggle--off {
  display: none;
}

.zNumber {
	font-size: 8px;
	text-align: left;
}
.elementName {
	font-size: 10px;
	text-align: right;
	font-weight: bold;
}
.symbol {
	font-size: 20px;
	font-weight: bold;
	margin-top: 5px;
	margin-bottom: 5px;
}
.atomicMass {
	font-size: 10px;
	padding-top: 2px;
}
.spacer {
	width: 50px;
	height: 60px;
	text-align: center;
}
input, textarea {
  background: none;
  color: white;
  font-size: 18px;
  padding: 5px 5px 5px 2px;
  width: 40px;
  border: none;
  border-radius: 0;
  border-bottom: 1px solid lightgray;
	outline: 0;
	transition-duration: 0.25s;
	text-align: center;
}
input:focus, textarea:focus {
	border-bottom: 1px solid white;
}
.input {
	border-radius: 4px;
	box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
}

@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  src: url(https://example.com/MaterialIcons-Regular.eot); /* For IE6-8 */
  src: local('Material Icons'),
    local('MaterialIcons-Regular'),
    url(https://example.com/MaterialIcons-Regular.woff2) format('woff2'),
    url(https://example.com/MaterialIcons-Regular.woff) format('woff'),
    url(https://example.com/MaterialIcons-Regular.ttf) format('truetype');
}
.material-icons {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 24px;  /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;



  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;

  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;

  /* Support for IE. */
  font-feature-settings: 'liga';
}
